]> git.draconx.ca Git - liblbx.git/blobdiff - bootstrap
build: Integrate Gnulib non-recursively using fix-gnulib.
[liblbx.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..460094f
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# Copyright © 2011-2012 Nick Bowler
+#
+# Simple script to get started from a fresh git checkout.
+#
+# License WTFPL2: Do What The Fuck You Want To Public License, version 2.
+# This is free software: you are free to do what the fuck you want to.
+# There is NO WARRANTY, to the extent permitted by law.
+
+scriptname=$0
+
+err() {
+       printf '%s: %s\n' "$scriptname" "$@" 1>&2
+}
+
+die() {
+       err "$@"
+       exit 1
+}
+
+: ${AUTORECONF=autoreconf}
+: ${GNULIB=gnulib}
+: ${GIT=git}
+: ${PERL=perl}
+
+$GIT submodule update --init || err "Failed to update submodules from git."
+
+if test -x $GNULIB/gnulib-tool; then
+       $GNULIB/gnulib-tool --update -S || die "Failed to update Gnulib."
+else
+       die "Gnulib sources are not properly installed in gnulib/."
+fi
+
+$PERL common/scripts/fix-gnulib.pl -o lib/gnulib.mk -i lib/gnulib.mk.in \
+       || die "Failed to fixup Gnulib makefile fragment."
+
+# Punt some automake-generated files so that Gentoo's wrapper script doesn't
+# try to detect the automake version in use.
+rm -f Makefile.in aclocal.m4
+$AUTORECONF -fis